Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.types
Class DirectedModel

    java.lang.Object
      cc.mallet.grmm.types.FactorGraph
          cc.mallet.grmm.types.DirectedModel

All Implemented Interfaces:
  Factor, java.io.Serializable, java.lang.Cloneable

    public class DirectedModel

extends FactorGraph

Class for directed graphical models. This is just a souped-up Graph. Created: Mon Sep 15 14:50:19 2003

Version:
  $Id: DirectedModel.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:
  Charles Sutton
See Also:
  Serialized Form

Constructor Summary
`DirectedModel()`
`DirectedModel(int capacity)`
`DirectedModel(Variable[] vars)`

Method Summary
`protected void` | `afterFactorAdd(Factor factor)` Performs operations on a factor after it has been added to the model, such as caching.
`protected void` | `beforeFactorAdd(Factor factor)` Performs checking of a factor before it is added to the model.
`CPT` | `getCptofVar(Variable node)` Returns the conditional distribution `P ( node | Parents (node) )`

Methods inherited from class cc.mallet.grmm.types.FactorGraph
`addFactor, addFactor, allFactorsContaining, allFactorsContaining, allFactorsOf, allFactorsOf, almostEquals, almostEquals, argmax, assignmentIterator, asTable, clear, containsVar, divideBy, dump, dump, dumpToString, duplicate, entropy, exponentiate, extractMax, extractMax, extractMax, factorOf, factorOf, factorOf, factorOf, factorProduct, factors, factorsIterator, findVariable, get, getAdjacentVertices, getDegree, getFactor, getIndex, getIndex, getInferenceCache, getVariable, isAdjacent, isNaN, logify, logValue, logValue, logValue, marginalize, marginalize, marginalize, marginalizeOut, marginalizeOut, multiply, multiplyBy, normalize, numVariables, printAsDot, printAsDot, remove, remove, sample, sampleContinuousVars, setInferenceCache, slice, slice, sum, toString, value, value, variablesIterator, variablesSet, varSet, varSetIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectedModel

    public DirectedModel()

### DirectedModel

    public DirectedModel(Variable[] vars)

### DirectedModel

    public DirectedModel(int capacity)

Method Detail

### beforeFactorAdd

    protected void beforeFactorAdd(Factor factor)

  Description copied from class: `FactorGraph`
  Performs checking of a factor before it is added to the model. This method should throw an unchecked exception if there is a problem. This implementation does nothing, but it may be overridden by subclasses.

  Overrides:
    `beforeFactorAdd` in class `FactorGraph`
  Parameters:
    `factor` - Factor that is about to be added

### afterFactorAdd

    protected void afterFactorAdd(Factor factor)

  Description copied from class: `FactorGraph`
  Performs operations on a factor after it has been added to the model, such as caching. This implementation does nothing, but it may be overridden by subclasses.

  Overrides:
    `afterFactorAdd` in class `FactorGraph`
  Parameters:
    `factor` - Factor that has just been added

### getCptofVar

    public CPT getCptofVar(Variable node)

  Returns the conditional distribution `P ( node | Parents (node) )`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD